<?php

namespace Drupal\views_extender_eca\Service;

use Drupal\eca\Event\BaseHookHandler;

/**
 * Hook Handler for Token ECA Alter.
 *
 * @package Drupal\token_eca_alter\Service
 */
class HookHandler extends BaseHookHandler {

  /**
   * Exec callback hook handler.
   *
   * @param string|null $view_id
   *   The view id.
   * @param string $key
   *   The key.
   * @param array $configuration
   *   The config.
   *
   * @return mixed
   *   Return value.
   */
  public function callback(?string $view_id, string $key = '', array $configuration = []): mixed {
    /** @var \Drupal\views_extender_eca\Events\ViewsExtenderEvent $event */
    $event = $this->triggerEvent->dispatchFromPlugin('views_extender_eca:callback', $view_id, $key, $configuration);
    return $event->getValue();
  }

}
